#include <bits/stdc++.h>
using namespace std;
int N, L, H[1005], ind = 0;
int main()
{
	cin>>N>>L;
	for(int i = 1; i<=N; i++) {
		cin>>H[i];
	}

	for(int j = 1; j<=N; j++) {

		if(H[j]<=L) {
			ind = j;
			break;
		}

	}

	if(ind == 0) {
		cout<<-1<<endl;
	}
	else
		cout<<ind;

	return 0;
}